var _excluded = ["items", "textCls", "titleCls", "title", "iconCls", "iconColor", "className", "icon", "elderly"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/*
 * @Author: codingfly
 * @Description:
 * @Date: 2021-10-13 13:29:39
 * @LastEditTime: 2021-10-13 15:13:44
 * @FilePath: \ui_model\src\tip\index.tsx
 */
import { View } from 'remax/one';
import styles from './index.module.less';
import Space from '../space';
import Icon from '../icon';
import React from 'react';
import rpxToPx from '../rpx-to-px';
import classNames from 'classnames';
import { useConfig } from '../config-provider';
export default (function (_ref) {
  var items = _ref.items,
      textCls = _ref.textCls,
      titleCls = _ref.titleCls,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? '温馨提示：' : _ref$title,
      iconCls = _ref.iconCls,
      _ref$iconColor = _ref.iconColor,
      iconColor = _ref$iconColor === void 0 ? '#FABD52' : _ref$iconColor,
      className = _ref.className,
      _ref$icon = _ref.icon,
      icon = _ref$icon === void 0 ? /*#__PURE__*/React.createElement(Icon, {
    color: iconColor,
    name: 'tip',
    className: classNames(iconCls, styles.icon)
  }) : _ref$icon,
      _ref$elderly = _ref.elderly,
      elderly = _ref$elderly === void 0 ? useConfig().elderly : _ref$elderly,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Space, _objectSpread(_objectSpread({
    size: 4,
    alignSelf: 'stretch',
    margin: "".concat(rpxToPx(18), "px 0 0")
  }, props), {}, {
    className: classNames(className, elderly && styles.elderly)
  }), icon, /*#__PURE__*/React.createElement(Space, {
    size: 17,
    vertical: true,
    style: {
      width: rpxToPx(666)
    }
  }, /*#__PURE__*/React.createElement(View, {
    className: classNames(styles.title, titleCls)
  }, title), /*#__PURE__*/React.createElement(View, {
    className: classNames(textCls, styles.text)
  }, items.map(function (item, index) {
    return /*#__PURE__*/React.createElement(View, {
      key: index
    }, item);
  }))));
});